View Issue Details

IDProjectCategoryView StatusLast Update
0003536gnunet-gtkgnunet-setuppublic2018-06-07 00:25
ReporterlizhouAssigned ToChristian Grothoff 
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformDarwinOSOS XOS Version10.9
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003536: Build Error
Descriptiongcc -DHAVE_CONFIG_H -I. -I../.. -I../../ -I../../src/include -I/opt/local/include -D_REENTRANT -I/opt/local/include/gtk-3.0 -I/opt/local/include/at-spi2-atk/2.0 -I/opt/local/include/gtk-3.0 -I/opt/local/include/gio-unix-2.0/ -I/opt/local/include -I/opt/local/include/cairo -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include/libpng16 -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng16 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -D_REENTRANT -I/opt/local/include/gtk-3.0 -I/opt/local/include/at-spi2-atk/2.0 -I/opt/local/include/gtk-3.0 -I/opt/local/include/gio-unix-2.0/ -I/opt/local/include -I/opt/local/include/cairo -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include/libpng16 -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng16 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include -D_REENTRANT -I/opt/local/include/libgladeui-2.0 -I/opt/local/include/gtk-3.0 -I/opt/local/include/at-spi2-atk/2.0 -I/opt/local/include/gtk-3.0 -I/opt/local/include/gio-unix-2.0/ -I/opt/local/include -I/opt/local/include/cairo -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include/libpng16 -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng16 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/libxml2 -no-cpp-precomp -fno-strict-aliasing -Wall -D_REENTRANT -I/opt/local/include/gtk-3.0 -I/opt/local/include/at-spi2-atk/2.0 -I/opt/local/include/gtk-3.0 -I/opt/local/include/gio-unix-2.0/ -I/opt/local/include -I/opt/local/include/cairo -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include/libpng16 -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng16 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -MT gnunet_setup-gnunet-setup-transport-udp.o -MD -MP -MF .deps/gnunet_setup-gnunet-setup-transport-udp.Tpo -c -o gnunet_setup-gnunet-setup-transport-udp.o `test -f 'gnunet-setup-transport-udp.c' || echo './'`gnunet-setup-transport-udp.c

gnunet-setup-transport.c: In function 'nipo':
gnunet-setup-transport.c:353: error: 'const struct sockaddr_in6' has no member named '__u6_addr'
gnunet-setup-transport.c:353: error: 'const struct sockaddr_in6' has no member named '__u6_addr'
make[4]: *** [gnunet_setup-gnunet-setup-transport.o] Error 1
Steps To Reproduceconfigure
make
TagsNo tags attached.

Activities

lizhou

2014-09-04 16:23

reporter   ~0008561

change line 353 of gnunet-setup-transport.c to

 (! IN6_IS_ADDR_LINKLOCAL (&((const struct sockaddr_in6*)addr)->sin6_addr)))

fix this issue.

Christian Grothoff

2014-09-12 17:44

manager   ~0008576

Fixed as suggested in SVN 34288, thanks for reporting.

Issue History

Date Modified Username Field Change
2014-09-04 15:40 lizhou New Issue
2014-09-04 16:23 lizhou Note Added: 0008561
2014-09-12 17:44 Christian Grothoff Note Added: 0008576
2014-09-12 17:44 Christian Grothoff Status new => resolved
2014-09-12 17:44 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-12 17:44 Christian Grothoff Resolution open => fixed
2014-09-12 17:44 Christian Grothoff Assigned To => Christian Grothoff
2014-09-12 17:44 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed